search

Copy page

Copy page as Markdown for LLMs

View as Markdown

View this page as plain text


Open in ChatGPT

Ask ChatGPT about this page

Open in Claude

Ask Claude about this page

Full Transit 

Understand complete planetary movements and their astrological effects using the Full Transit API, offering detailed insights for every major planetary influence in transit interpretation.


Supported Language Codes

CodeLanguage
enEnglish
hiHindi
ptPortuguese
frFrench
deGerman
jaJapanese
trTurkish
ruRussian
itItalian
esSpanish
nlDutch
plPolish

Guide: These languages are supported by this API. You can use them by passing lan in the body with the desired language code.


Allowed Transit Planets

Use one of the following values in transit_planet.

ValueMeaning
SunFor Sun transit
MoonFor Moon transit
MercuryFor Mercury transit
VenusFor Venus transit
MarsFor Mars transit
JupiterFor Jupiter transit
SaturnFor Saturn transit
UranusFor Uranus transit
NeptuneFor Neptune transit

API Endpoint

POST https://astroapi-8.divineapi.com/western-api/v1/full-transit

Returns Full Transit details in response.


Headers

NameTypeDescription
Authorization*Stringyour API Access Token (eg: Bearer {token})

Request Body

KeyTypeDescription
api_keyStringYour API authentication key.
full_nameStringFull name of the person whose transit is being calculated, e.g. Robin Kamboj
day*IntegerBirth day of the user, e.g. 6
month*IntegerBirth month of the user, e.g. 11
year*IntegerBirth year of the user, e.g. 2025
hour*IntegerBirth hour in 24-hour format, e.g. 0
min*IntegerBirth minute, e.g. 0
sec*IntegerBirth second, e.g. 0
genderStringGender of the user, e.g. female
place*StringBirth place of the user, e.g. Bareilly
lat*FloatBirth location latitude, e.g. 28.644800
lanStringLanguage code, e.g. en
lon*FloatBirth location longitude, e.g. 77.216721
tzone*FloatTimezone of the birth place, e.g. 5.5
transit_day*IntegerDay for which transit calculation is performed, e.g. 27
transit_month*IntegerMonth for which transit calculations are required, e.g. 10
transit_year*IntegerYear for which transit calculations are required, e.g. 2025
transit_lat*FloatLatitude of the transit location, e.g. 25.321684
transit_lon*FloatLongitude of the transit location, e.g. 82.987289
transit_tzone*FloatTimezone of the transit location, e.g. 5.5
transit_place*StringPlace for which transit is being analyzed, e.g. New Delhi
transit_planet*StringTransit planet to be analyzed, e.g. moon
aspect_orbs_typeStringType of aspect orb used for aspect calculation, e.g. FIXED
aspect_orbs_valueIntegerOrb value(s) used for aspect calculation, e.g.5_30
aspects_typeStringControls which aspects are included in the result, e.g. ALL
node_typeStringmeannode or truenode (default: meannode)

Aspects Selection (aspects_type)

You can control which astrological aspects are included by using the aspects_type parameter.
It can take one of four kinds of values only:

ALL

All supported aspects (major + minor) are calculated and returned.

MAJOR_ASPECTS

Only major aspects are calculated and returned:
Conjunction, Sextile, Square, Trine, Opposition.

MINOR_ASPECTS

Only minor aspects are calculated and returned:
Semisextile, Semisquare, Sesquiquadrate, Quincunx, Quintile, Biquintile, Novile, Septile.

Custom Aspect List (comma-separated)

You may pass one or more individual aspect names, separated by commas.

Only the selected aspects will be calculated and returned.

Allowed values in the custom list:

Value
CONJUNCTION
SEXTILE
SQUARE
TRINE
OPPOSITION
SEMISEXTILE
SEMISQUARE
SESQUIQUADRATE
QUINCUNX
QUINTILE
BIQUINTILE
NOVILE
SEPTILE


Examples:

Single aspect:
aspects_type = "CONJUNCTION"

Multiple aspects:
aspects_type = "SEXTILE,TRINE,QUINTILE"
aspects_type = "SEMISQUARE,SEMISEXTILE,QUINCUNX"

Whatever you select in the custom list must be one or more of the allowed aspect tokens above, separated by commas. Only those aspects will be shown in the response.

Aspect Orb Settings 

The aspect_orbs_type parameter defines how the orb values are interpreted. It supports two modes:

1. FIXED

When aspect_orbs_type = FIXED, the orb range (0°30' to 15°00') is applied based on the degree group:

1. 0°30' to 3°00':  Applies to All Aspects

2. 3°30' to 4°00': Applies to Major Aspects Only

3. 4°30' to 15°00': Applies to Major Aspects Except Sextile

Example values:
0_30, 1_00, 5_00, 12_00, 15_00
(Use underscore to represent degrees_minutes format)

2. PERCENTAGE

When using PERCENTAGE, the aspect_orbs_value represents a percentage adjustment applied to the default orb.

Allowed percentage range: -90% - +100%

Example values:
-20%, -10%, 0%, +20%, +50%, +100%

3. BOTH

You may also support both modes, allowing the user to choose either FIXED or PERCENTAGE based on their preference.

aspect_orbs_typeMeaningaspect_orbs_value Range
FIXEDOrb defined in fixed degrees/minutes0°30' – 15°00'
PERCENTAGEOrb adjusted by percentage-90% to +100%
BOTHAllows either modeFollows the rules of each mode

200: OK Full Transit Details Fetched Successfully

{
    "status": "success",
    "code": 200,
    "message": "Request successful",
    "data": {
        "transit": [
            {
                "natal_planet": "Sun",
                "transit_planet": "Moon",
                "aspect": "Biquintile",
                "start_time": "2025-10-26 13:26:00",
                "peak_time": "2025-10-27 21:07:00",
                "end_time": "2025-10-28 05:22:00"
            },
            {
                "natal_planet": "Moon",
                "transit_planet": "Moon",
                "aspect": "Sextile",
                "start_time": "2025-10-26 08:52:00",
                "peak_time": "2025-10-27 04:58:00",
                "end_time": "2025-10-28 00:53:00"
            },
            {
                "natal_planet": "Mercury",
                "transit_planet": "Moon",
                "aspect": "Biquintile",
                "start_time": "2025-10-26 16:11:00",
                "peak_time": "2025-10-27 21:07:00",
                "end_time": "2025-10-28 04:07:00"
            },
            {
                "natal_planet": "Venus",
                "transit_planet": "Moon",
                "aspect": "Opposition",
                "start_time": "2025-10-27 21:07:00",
                "peak_time": "2025-10-27 05:17:00",
                "end_time": "2025-10-26 11:13:00"
            },
            {
                "natal_planet": "Jupiter",
                "transit_planet": "Moon",
                "aspect": "Opposition",
                "start_time": "2025-10-27 11:13:00",
                "peak_time": "2025-10-28 03:07:00",
                "end_time": "2025-10-27 11:13:00"
            },
            {
                "natal_planet": "Saturn",
                "transit_planet": "Moon",
                "aspect": "Square",
                "start_time": "2025-10-27 21:07:00",
                "peak_time": "2025-10-27 07:11:00",
                "end_time": "2025-10-27 21:06:00"
            },
            {
                "natal_planet": "Uranus",
                "transit_planet": "Moon",
                "aspect": "Biquintile",
                "start_time": "2025-10-27 03:43:00",
                "peak_time": "2025-10-27 21:07:00",
                "end_time": "2025-10-27 03:43:00"
            },
            {
                "natal_planet": "Neptune",
                "transit_planet": "Moon",
                "aspect": "Square",
                "start_time": "2025-10-27 21:07:00",
                "peak_time": "2025-10-27 07:52:00",
                "end_time": "2025-10-27 21:06:00"
            },
            {
                "natal_planet": "Pluto",
                "transit_planet": "Moon",
                "aspect": "Semisextile",
                "start_time": "2025-10-27 21:07:00",
                "peak_time": "2025-10-27 08:46:00",
                "end_time": "2025-10-27 21:06:00"
            }
        ]
    }
}

Example Code Implementations

Below are example implementations in various programming environments.


cURL

curl --location 'https://astroapi-8.divineapi.com/western-api/v1/full-transit' \
--header 'Authorization: Bearer your API Access Token' \
--form 'api_key="your API Key"' \
--form 'full_name="Robin Kamboj"' \
--form 'day="6"' \
--form 'month="11"' \
--form 'year="2025"' \
--form 'hour="0"' \
--form 'min="0"' \
--form 'sec="0"' \
--form 'gender="female"' \
--form 'place="Bareilly"' \
--form 'lat="28.644800"' \
--form 'lon="77.216721"' \
--form 'tzone="5.5"' \
--form 'transit_year="2025"' \
--form 'transit_month="10"' \
--form 'transit_lat="25.321684"' \
--form 'transit_lon="82.987289"' \
--form 'transit_tzone="5.5"' \
--form 'transit_place="New Delhi"' \
--form 'transit_planet="moon"' \
--form 'aspect_orbs_type="Fixed"' \
--form 'aspect_orbs_value="5_30"' \
--form 'aspects_type="ALL"' \
--form 'transit_day="27"'

NodeJS

var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://astroapi-8.divineapi.com/western-api/v1/full-transit',
  'headers': {
    'Authorization': 'Bearer your API Access Token'
  },
  formData: {
    'api_key': 'your API Key',
    'full_name': 'Robin Kamboj',
    'day': '6',
    'month': '11',
    'year': '2025',
    'hour': '0',
    'min': '0',
    'sec': '0',
    'gender': 'female',
    'place': 'Bareilly',
    'lat': '28.644800',
    'lon': '77.216721',
    'tzone': '5.5',
    'transit_year': '2025',
    'transit_month': '10',
    'transit_lat': '25.321684',
    'transit_lon': '82.987289',
    'transit_tzone': '5.5',
    'transit_place': 'New Delhi',
    'transit_planet': 'moon',
    'aspect_orbs_type': 'Fixed',
    'aspect_orbs_value': '5_30',
    'aspects_type': 'ALL',
    'transit_day': '27'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

JavaScript jQuery

var form = new FormData();
form.append("api_key", "your API Key");
form.append("full_name", "Robin Kamboj");
form.append("day", "6");
form.append("month", "11");
form.append("year", "2025");
form.append("hour", "0");
form.append("min", "0");
form.append("sec", "0");
form.append("gender", "female");
form.append("place", "Bareilly");
form.append("lat", "28.644800");
form.append("lon", "77.216721");
form.append("tzone", "5.5");
form.append("transit_year", "2025");
form.append("transit_month", "10");
form.append("transit_lat", "25.321684");
form.append("transit_lon", "82.987289");
form.append("transit_tzone", "5.5");
form.append("transit_place", "New Delhi");
form.append("transit_planet", "moon");
form.append("aspect_orbs_type", "Fixed");
form.append("aspect_orbs_value", "5_30");
form.append("aspects_type", "ALL");
form.append("transit_day", "27");

var settings = {
  "url": "https://astroapi-8.divineapi.com/western-api/v1/full-transit",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer your API Access Token"
  },
  "processData": false,
  "mimeType": "multipart/form-data",
  "contentType": false,
  "data": form
};

$.ajax(settings).done(function (response) {
  console.log(response);
});

Python

import requests

url = "https://astroapi-8.divineapi.com/western-api/v1/full-transit"

payload = {'api_key': 'your API Key',
'full_name': 'Robin Kamboj',
'day': '6',
'month': '11',
'year': '2025',
'hour': '0',
'min': '0',
'sec': '0',
'gender': 'female',
'place': 'Bareilly',
'lat': '28.644800',
'lon': '77.216721',
'tzone': '5.5',
'transit_year': '2025',
'transit_month': '10',
'transit_lat': '25.321684',
'transit_lon': '82.987289',
'transit_tzone': '5.5',
'transit_place': 'New Delhi',
'transit_planet': 'moon',
'aspect_orbs_type': 'Fixed',
'aspect_orbs_value': '5_30',
'aspects_type': 'ALL',
'transit_day': '27'}
files=[

]
headers = {
  'Authorization': 'Bearer your API Access Token'
}

response = requests.request("POST", url, headers=headers, data=payload, files=files)

print(response.text)